<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Login!</title>
    </head>
    <body>
        <header>
            <nav>
                {% if user.is_authenticated %}
                    Hello, {{ user.username }}
                    <ul>
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My Tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My Projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    </ul>
                {% else %}
                    <ul>
                        <li>
                            <a href="{% url 'login' %}">Login!</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Sign Up!</a>
                        </li>
                    </ul>
                {% endif %}
            </nav>
        </header>
        <main>
            <div>
                <h1>Login</h1>
                <form method="post">
                    {% csrf_token %}
                    {{ form.as_p }}
                    <button>Login</button>
                </form>
            </div>
        </main>
    </body>
</html>
